librsb 1.3.0.2

Public Member Functions
blas_sparse::usmv Interface Reference

multiplication : c <- beta c + alpha A b More...

## Public Member Functions
subroutine | susmv (transA, alpha, A, x, incx, y, incy, istat)
| Multiply by a dense vector. Either of , depending on the value of `transA`. More...
subroutine | dusmv (transA, alpha, A, x, incx, y, incy, istat)
| Multiply by a dense vector. Either of , depending on the value of `transA`. More...
subroutine | cusmv (transA, alpha, A, x, incx, y, incy, istat)
| Multiply by a dense vector. Either of , depending on the value of `transA`. More...
subroutine | zusmv (transA, alpha, A, x, incx, y, incy, istat)
| Multiply by a dense vector. Either of , depending on the value of `transA`. More...

## Detailed Description

multiplication : c <- beta c + alpha A b

Parameters

  istat | The return code will be written to `istat` (this is a Fortran routine): either 0 (success) or -1 (failure).

## Member Function/Subroutine Documentation

## ◆ cusmv()

subroutine blas_sparse::usmv::cusmv | ( | integer | transA,
|  | complex(kind(1.e0)) | alpha,
|  | integer | A,
|  | complex(kind(1.e0)), dimension (:) | x,
|  | integer(kind=rsb_blas_idx_kind) | incx,
|  | complex(kind(1.e0)), dimension (:) | y,
|  | integer(kind=rsb_blas_idx_kind) | incy,
|  | integer(kind=rsb_blas_ist_kind), intent(out) | istat
| ) |  |

Multiply by a dense vector. Either of , depending on the value of `transA`.

Parameters

  transA | Transposition operator for matrix A.
  alpha | Value for .
  A | A valid matrix handle.
  x | Dense vector x.
  incx | Stride of x.
  y | Dense vector y.
  incy | Stride of y.

Note
  By setting the `blas_rsb_autotune_next_operation` property via BLAS_ussp (at any time) the next multiplication routine call (either of BLAS_dusmv, BLAS_susmv, BLAS_zusmv, BLAS_cusmv, BLAS_dusmm, BLAS_susmm, BLAS_zusmm, BLAS_cusmm) will invoke autotuning before carrying out the effective operation. The tuning will take in account parameters like transposition, number of right hand sides, and scaling constants. By setting the `blas_rsb_spmv_autotuning_on` property via BLAS_ussp, the default number of executing threads for this matrix will be determined once, at matrix assembly time, and employed irrespective of the default threads count (different values for transposed and untransposed multiply). This can be overridden only by setting the `RSB_NUM_THREADS` environment variable.

See also
  On the topic of autotuning, see also rsb_tune_spmm. If `–enable-rsb-num-threads` has been specified at configure time, the `RSB_NUM_THREADS` environment variable will override the number of executing threads specified by `OMP_NUM_THREADS`. (See also RSB_IO_WANT_EXECUTING_THREADS).

Returns
  On success, 0 is returned; on error, -1.

Parameters

  istat | The return code will be written to `istat` (this is a Fortran routine): either 0 (success) or -1 (failure).

## ◆ dusmv()

subroutine blas_sparse::usmv::dusmv | ( | integer | transA,
|  | real(kind(1.d0)) | alpha,
|  | integer | A,
|  | real(kind(1.d0)), dimension (:) | x,
|  | integer(kind=rsb_blas_idx_kind) | incx,
|  | real(kind(1.d0)), dimension (:) | y,
|  | integer(kind=rsb_blas_idx_kind) | incy,
|  | integer(kind=rsb_blas_ist_kind), intent(out) | istat
| ) |  |

Multiply by a dense vector. Either of , depending on the value of `transA`.

Parameters

  transA | Transposition operator for matrix A.
  alpha | Value for .
  A | A valid matrix handle.
  x | Dense vector x.
  incx | Stride of x.
  y | Dense vector y.
  incy | Stride of y.

Note
  By setting the `blas_rsb_autotune_next_operation` property via BLAS_ussp (at any time) the next multiplication routine call (either of BLAS_dusmv, BLAS_susmv, BLAS_zusmv, BLAS_cusmv, BLAS_dusmm, BLAS_susmm, BLAS_zusmm, BLAS_cusmm) will invoke autotuning before carrying out the effective operation. The tuning will take in account parameters like transposition, number of right hand sides, and scaling constants. By setting the `blas_rsb_spmv_autotuning_on` property via BLAS_ussp, the default number of executing threads for this matrix will be determined once, at matrix assembly time, and employed irrespective of the default threads count (different values for transposed and untransposed multiply). This can be overridden only by setting the `RSB_NUM_THREADS` environment variable.

See also
  On the topic of autotuning, see also rsb_tune_spmm. If `–enable-rsb-num-threads` has been specified at configure time, the `RSB_NUM_THREADS` environment variable will override the number of executing threads specified by `OMP_NUM_THREADS`. (See also RSB_IO_WANT_EXECUTING_THREADS).

Returns
  On success, 0 is returned; on error, -1.

Parameters

  istat | The return code will be written to `istat` (this is a Fortran routine): either 0 (success) or -1 (failure).

## ◆ susmv()

subroutine blas_sparse::usmv::susmv | ( | integer | transA,
|  | real(kind(1.e0)) | alpha,
|  | integer | A,
|  | real(kind(1.e0)), dimension (:) | x,
|  | integer(kind=rsb_blas_idx_kind) | incx,
|  | real(kind(1.e0)), dimension (:) | y,
|  | integer(kind=rsb_blas_idx_kind) | incy,
|  | integer(kind=rsb_blas_ist_kind), intent(out) | istat
| ) |  |

Multiply by a dense vector. Either of , depending on the value of `transA`.

Parameters

  transA | Transposition operator for matrix A.
  alpha | Value for .
  A | A valid matrix handle.
  x | Dense vector x.
  incx | Stride of x.
  y | Dense vector y.
  incy | Stride of y.

Note
  By setting the `blas_rsb_autotune_next_operation` property via BLAS_ussp (at any time) the next multiplication routine call (either of BLAS_dusmv, BLAS_susmv, BLAS_zusmv, BLAS_cusmv, BLAS_dusmm, BLAS_susmm, BLAS_zusmm, BLAS_cusmm) will invoke autotuning before carrying out the effective operation. The tuning will take in account parameters like transposition, number of right hand sides, and scaling constants. By setting the `blas_rsb_spmv_autotuning_on` property via BLAS_ussp, the default number of executing threads for this matrix will be determined once, at matrix assembly time, and employed irrespective of the default threads count (different values for transposed and untransposed multiply). This can be overridden only by setting the `RSB_NUM_THREADS` environment variable.

See also
  On the topic of autotuning, see also rsb_tune_spmm. If `–enable-rsb-num-threads` has been specified at configure time, the `RSB_NUM_THREADS` environment variable will override the number of executing threads specified by `OMP_NUM_THREADS`. (See also RSB_IO_WANT_EXECUTING_THREADS).

Returns
  On success, 0 is returned; on error, -1.

Parameters

  istat | The return code will be written to `istat` (this is a Fortran routine): either 0 (success) or -1 (failure).

## ◆ zusmv()

subroutine blas_sparse::usmv::zusmv | ( | integer | transA,
|  | complex(kind(1.d0)) | alpha,
|  | integer | A,
|  | complex(kind(1.d0)), dimension (:) | x,
|  | integer(kind=rsb_blas_idx_kind) | incx,
|  | complex(kind(1.d0)), dimension (:) | y,
|  | integer(kind=rsb_blas_idx_kind) | incy,
|  | integer(kind=rsb_blas_ist_kind), intent(out) | istat
| ) |  |

Multiply by a dense vector. Either of , depending on the value of `transA`.

Parameters

  transA | Transposition operator for matrix A.
  alpha | Value for .
  A | A valid matrix handle.
  x | Dense vector x.
  incx | Stride of x.
  y | Dense vector y.
  incy | Stride of y.

Note
  By setting the `blas_rsb_autotune_next_operation` property via BLAS_ussp (at any time) the next multiplication routine call (either of BLAS_dusmv, BLAS_susmv, BLAS_zusmv, BLAS_cusmv, BLAS_dusmm, BLAS_susmm, BLAS_zusmm, BLAS_cusmm) will invoke autotuning before carrying out the effective operation. The tuning will take in account parameters like transposition, number of right hand sides, and scaling constants. By setting the `blas_rsb_spmv_autotuning_on` property via BLAS_ussp, the default number of executing threads for this matrix will be determined once, at matrix assembly time, and employed irrespective of the default threads count (different values for transposed and untransposed multiply). This can be overridden only by setting the `RSB_NUM_THREADS` environment variable.

See also
  On the topic of autotuning, see also rsb_tune_spmm. If `–enable-rsb-num-threads` has been specified at configure time, the `RSB_NUM_THREADS` environment variable will override the number of executing threads specified by `OMP_NUM_THREADS`. (See also RSB_IO_WANT_EXECUTING_THREADS).

Returns
  On success, 0 is returned; on error, -1.

Parameters

  istat | The return code will be written to `istat` (this is a Fortran routine): either 0 (success) or -1 (failure).

The documentation for this interface was generated from the following file:

- rsb_blas_sparse.F90